Updates the skill with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
skill| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the skill |
string |
Required Max length: 255 |
| description |
Description of the skill |
string |
Max length: 4000 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "6f9b04c3-8eda-4c0a-82a8-9db1b2ba84cf",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "b6bc00bf-3544-4800-9121-6e2e2329ede7",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "d39510c5-4d20-4ca3-bd77-2df1815fe70b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f460de30-41cd-4de0-b934-e7cf158af08d",
"db_currency_id": "fb65cf54-3610-4ba9-95b7-0773259b4629",
"db_language_id": "94664d45-30ad-4b2e-8bcc-5cd4c5b3ce96",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:50:07.4856074+00:00"
},
"modified_dateutc": "2026-10-28T21:50:07.4856074+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.